Bug 61465 - 2.4.9-31 refuses to boot from any raid device save /dev/md0 and /dev/md1
2.4.9-31 refuses to boot from any raid device save /dev/md0 and /dev/md1
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-19 20:37 EST by Michal Jaegermann
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2002-03-19 20:37:23 EST
Description of Problem:

Summary pretty well describes what is going on.  I do not know about
earlier kernels from Red Hat distributions but 2.4.18 at least does not
suffer from that affliction and it boots from things like /dev/md4 without
batting an eye.

Combine that with 'mkinitrd' which has /dev/md0 hardwired in its text
plus totally unpredictable and uncotrollable behaviour of a Disk Druid
which loves to rearrange things just for the heck of it and one gets
into troubles on a system with multiple RAID devices (yes, such things
do exist and for a reason).

Version-Release number of selected component (if applicable):
kernel 2.4.9-31
Comment 1 Bugzilla owner 2004-09-30 11:39:27 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.